PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.1 »
- SDSS Spectroscopic Data (`pydl.pydlspec2d`) »
- spec_path

# spec_path

pydl.pydlspec2d.spec1d.spec_path(plate, path=None, topdir=None, run2d=None)

  Return the directory containing spPlate files.

  Parameters:
    plate `int` or `numpy.ndarray`

      The plate(s) to examine.

    path `str`, optional

      If set, `path` becomes the full path for every plate. In other words, it completely short-circuits this function.

    topdir `str`, optional

      Used to override the value of `BOSS_SPECTRO_REDUX`.

    run2d `str`, optional

      Used to override the value of `RUN2D`.

  Returns:
    `list`

      A list of directories, one for each plate.

  Raises:
    `KeyError`

      If environment variables are not supplied.